> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threatbook.io/llms.txt
> Use this file to discover all available pages before exploring further.

# IP Report(Community)

> You are able to get an IP report with comprehensive intelligence labels, such as **C2, Malware, Zombie, Compromised Host, Scanner,** etc., and contextual information like **open ports, certificates,** and so on.



## OpenAPI

````yaml POST /v1/community/ip
openapi: 3.1.0
info:
  title: Default module
  description: ''
  version: 1.0.0
servers:
  - url: https://api.threatbook.io
    description: Prod Env
security: []
tags: []
paths:
  /v1/community/ip:
    post:
      tags: []
      summary: IP Report (V1)
      description: >-
        You are able to get an IP report with comprehensive intelligence labels,
        such as **C2, Malware, Zombie, Compromised Host, Scanner,** etc., and
        contextual information like **open ports, certificates,** and so on.
      parameters:
        - name: apikey
          in: query
          description: >-
            Your API Key.
                          
            You are able to get the key on "My API" page of
            [i.threatbook.io](https://i.threatbook.io/my-api).


            **Kindly note:**


            Please check if you have bound your access IP to the key and have
            the authority quotas to access this API before you interact with it.
          required: true
          example: ''
          schema:
            type: string
        - name: resource
          in: query
          description: Single IPv4 or IPv6 to query.
          required: true
          example: ''
          schema:
            type: string
        - name: include
          in: query
          description: >-
            You are allowed to specify the following arguments to get specific
            data back. Each of them should be separated by commas if you would
            like to request more than two of them.
             
            - **summary**: Summary of the threat intelligence.

            - **ports**: open ports of the IP.

            - **cas**: Relevant certificates of the IP.

            - **basic**: Geographic location and carrier, etc.

            - **asn**: Asn information.


            If you don’t specify this parameter, we will return all data by
            default.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    const: Success
                  data:
                    type: object
                    properties:
                      summary:
                        type: object
                        properties: {}
                        description: >-
                          **Summary of the intelligence determined by
                          ThreatBook**  


                          Each item includes the following fields:  


                          - **judgments**: Array. Intelligence type of the final
                          verdict by ThreatBook.  

                          - **whitelist**: Boolean.  
                            - `true`: It is whitelisted.  
                            - `false`: It is not whitelisted.  
                          - **first_seen**: String. UTC time of the first
                          discovery of intelligence.  

                          - **last_seen**: String. UTC time of the last
                          discovery of intelligence.  
                      basic:
                        type: object
                        properties: {}
                        description: |-
                          **Geographic location information**  

                          - **carrier**  
                          - **location**  
                            - **country**  
                            - **country_code**  
                            - **province**  
                            - **city**  
                            - **lng**: longitude  
                            - **lat**: latitude  
                      asn:
                        type: object
                        properties: {}
                        description: ASN information.
                      ports:
                        type: array
                        items:
                          type: object
                          properties: {}
                        description: |
                          **Open ports**  
                          Each item includes the following fields:

                          - **port**  
                          - **module**  
                          - **product**  
                          - **version**  
                          - **detail**  
                      cas:
                        type: array
                        items:
                          type: object
                          properties: {}
                        description: |-
                          **SSL certificates associated with this IP address**  
                          Each item includes the following fields:

                          - **protocol**  
                          - **port**  
                          - **digital_certificate**: SSL Certificate detail.  
                            - **subject**  
                            - **issuer**  
                            - **fingerprint**  
                            - **purpose**  
                            - **verify**: Digital signature algorithm.  
                            - **status**: There are four status values for the certificate.  
                              - `0`: Normal  
                              - `1`: Expired  
                              - `2`: Invalid  
                              - `3`: Self-signed  
                            - **status_desc**: Description for the certificate status.  
                            - **revoked**: Boolean. Indicates whether the certificate is revoked.  
                            - **revoke_time**: The revoke time for the certificate.  
                            - **start**: Effective time of the certificate.  
                            - **end**: Expiration time of the certificate.  
                            - **serial_number**: Serial number of the certificate.  
                      IP:
                        type: string
                        description: >-
                          The queried IP address. 
                                      
                          Please pay attention, IPv6 will be returned in the
                          following format:

                          **2001:0db8:0000:0000:0001:0000:0000:0000**
                    required:
                      - summary
                      - basic
                      - asn
                      - ports
                      - cas
                      - IP
                  response_code:
                    type: integer
                    const: 200
                required:
                  - msg
                  - data
                  - response_code
              example:
                msg: Success
                data:
                  summary:
                    judgments: []
                    whitelist: true
                    first_seen: '2020-07-02'
                    last_seen: '2022-09-11'
                  basic:
                    carrier: Cloudflare, Inc.
                    location:
                      country: Australia
                      province: ''
                      city: ''
                      lng: '151.211354'
                      lat: '-33.86264'
                      country_code: AU
                  asn:
                    rank: 4
                    info: CLOUDFLARENET, US
                    number: 13335
                  ports:
                    - port: 80
                      module: http
                      product: Cloudflare http proxy
                      version: ''
                      detail: ''
                    - port: 443
                      module: https
                      product: Cloudflare http proxy
                      version: ''
                      detail: ''
                  cas:
                    - protocol: https
                      port: 443
                      digital_certificate:
                        sha256: >-
                          73b8ed5becf1ba6493d2e2215a42dfdc7877e91e311ff5e59fb43d094871e699
                        subject: cloudflare-dns.com
                        issuer: DigiCert Global G2 TLS RSA SHA256 2020 CA1
                        fingerprint: 3ba7e9f806eb30d2f4e3f905e53f07e9acf08e1e
                        purpose: >-
                          SSL client|SSL server|Any Purpose|Any Purpose CA|OCSP
                          helper
                        verify: SHA256withRSA
                        status: '0'
                        revoked: false
                        begin: '2025-01-02'
                        end: '2026-01-21'
                        status_desc: Valid
                        serial_number: 27dc8c5e17294aec9ed3f67728e8a08
                        revoked_time: ''
                  IP: 1.1.1.1
                response_code: 200
          headers: {}
        '400':
          $ref: '#/components/responses/400'
          description: ''
        '401':
          $ref: '#/components/responses/401'
          description: ''
        '405':
          $ref: '#/components/responses/405'
          description: ''
        '429':
          $ref: '#/components/responses/429'
          description: ''
        '500':
          $ref: '#/components/responses/500'
          description: ''
      deprecated: false
      security: []
components:
  responses:
    '400':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              msg:
                type: string
                enum:
                  - Required:{resource/apikey}
                  - Invalid parameter:{parameter}
              response_code:
                type: integer
                const: 400
            required:
              - msg
              - response_code
          examples:
            Example 1:
              summary: Example 1
              value:
                msg: Required:{resource/apikey}
                response_code: 400
    '401':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              msg:
                type: string
                enum:
                  - Invalid account status
                  - 'Invalid access IP: {actual IP address}'
                  - Invalid API key
                  - Invalid key status
                  - No access to the API
                  - Expired API key
                  - No access to the file report
                  - 'No access to: {parameter}'
              response_code:
                type: integer
                const: 401
            required:
              - msg
              - response_code
          examples:
            Example 1:
              summary: Example 1
              value:
                msg: Invalid account status
                response_code: 401
    '405':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              msg:
                type: string
                const: Invalid API method
              response_code:
                type: integer
                const: 405
            required:
              - msg
              - response_code
          examples:
            Example 1:
              summary: Example 1
              value:
                msg: Invalid API method
                response_code: 405
    '429':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              msg:
                type: string
                enum:
                  - Request rate limitation
                  - Beyond {daily/monthly/total} quotas limitation
              response_code:
                type: integer
                const: 429
            required:
              - msg
              - response_code
          examples:
            Example 1:
              summary: Example 1
              value:
                msg: Request rate limitation
                response_code: 429
    '500':
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              msg:
                type: string
                enum:
                  - System error
                  - URL Download Fail
              response_code:
                type: integer
                const: 500
            required:
              - msg
              - response_code
          examples:
            Example 1:
              summary: Example 1
              value:
                msg: System error
                response_code: 500

````